import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { SeriesView } from "./SeriesView";
import { Point, Type } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Polyline } from "igniteui-react-core";
import { Polygon } from "igniteui-react-core";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class RangeAreaSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    r7: RangeAreaSeriesView;
    protected get_cy(): boolean;
    protected r8(a: Point, b: Point, c: Point, d: boolean): boolean;
    dy(a: Point, b: boolean): boolean;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class RangeAreaSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected c2: RangeAreaSeries;
    constructor(a: RangeAreaSeries);
    as(): void;
    private da;
    private c6;
    private db;
    readonly dc: Polyline;
    readonly c7: Polygon;
    readonly dd: Polyline;
    c3(): void;
    c4(a: number, b: List$1<number[]>, c: boolean): void;
    private c9;
    private c8;
    private c5;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
